### A free/open-source library for quantitative finance

Public Member Functions | Friends
JamshidianSwaptionEngine Class Reference
Swaption engines

Jamshidian swaption engine. More...

`#include <ql/pricingengines/swaption/jamshidianswaptionengine.hpp>`

Inheritance diagram for JamshidianSwaptionEngine:
[legend]

List of all members.

## Public Member Functions

| JamshidianSwaptionEngine (const boost::shared_ptr< OneFactorAffineModel > &model, const Handle< YieldTermStructure > &termStructure=Handle< YieldTermStructure >())
void | calculate () const

## Friends

class | rStarFinder

## Detailed Description

Jamshidian swaption engine.

Warning:
  The engine assumes that the exercise date equals the start date of the passed swap.

Examples:
  BermudanSwaption.cpp.

## Constructor & Destructor Documentation

JamshidianSwaptionEngine | ( | const boost::shared_ptr< OneFactorAffineModel > & | model,
|  | const Handle< YieldTermStructure > & | termStructure = `Handle<YieldTermStructure>()`
| ) |  |

Note:
  the term structure is only needed when the short-rate model cannot provide one itself.